#
# spec file for package golang
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         russross
%global repo            blackfriday
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        1.4.0+git20151230.c8875c0
Release:        lp151.3.3
Summary:        Markdown processor implemented in Go
License:        BSD-2-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang(github.com/shurcooL/sanitized_anchor_name)
Requires:       golang(github.com/shurcooL/sanitized_anchor_name)
ExcludeArch:    s390

%{go_nostrip}
%{go_provides}

%description
Blackfriday is a Markdown processor implemented in Go. It is paranoid about its
input (so you can safely feed it user-supplied data), it is fast, it supports
common extensions (tables, smart punctuation substitutions, etc.), and it is
safe for all utf-8 (unicode) input. HTML output is currently supported, along
with Smartypants extensions. An experimental LaTeX output engine is also
included.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE.txt

%changelog
* Thu Feb  1 2018 ro@suse.de
- do not build on s390, only on s390x (no go on s390)
* Fri Dec  2 2016 tboerger@suse.com
- Recursively test all packages
* Fri Dec  2 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Fri Dec  2 2016 tboerger@suse.com
- Always call gobuild and goinstall
* Fri Dec  2 2016 tboerger@suse.com
- Requires and BuildRequires for dependencies
* Fri Dec  2 2016 tboerger@suse.com
- Using the new golang-packaging now
* Fri Dec  2 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
* Thu Dec  1 2016 jmassaguerpla@suse.com
- add the generation of the source package. With go1.7 we need
  the source in order to build other golang-* which depend on this
  one.
* Sun Jan 17 2016 i@marguerite.su
- Update to version 1.4.0+git20151230.c8875c0:
  + remove check that brace is > 0
  + Use more idiomatic form for set of strings
  + Add a few missing HTML5 block tags
  + Fix footnote following an exclamation point
  + Add String() method to reference struct
  + Fix nested footnotes
  + Fix fenced code processing inside blockquotes
  + Refix fenced code blocks w/o preceding blank lines
  + Fix escaping asterisks within emphasis
  + Fix footnote followed by a reference style link
  + Fix bug parsing emphasis
  + Add HTML_SMARTYPANTS_DASHES for togging smart dashes
  + LaTex backend: add # to list of characters requiring
    backslash-escaping
  + Don't require the input to end with a newline
  + Implement support for CDATA section
  + Convert constant variables into consts
  + Fix bug with gathering list item lines
* Tue Jul 28 2015 i@marguerite.su
- rename to golang-github-russross-blackfriday
- update version 1.2.0+git20150720.8cec3a8
- use golang-packaging for packaging
* Wed May 27 2015 dmacvicar@suse.de
- initial package for version 1.2
